#pragma once

#include "TypeDefine.h"
// CNextVideoDlg 对话框

class CNextVideoDlg : public CDialog
{
	DECLARE_DYNAMIC(CNextVideoDlg)

public:
	CNextVideoDlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CNextVideoDlg();

// 对话框数据
	enum { IDD = IDD_DLG_VIDEO_NEXT };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
public:
	UINT m_uiCardNumber;
	UINT m_uiVideoMode;
	UINT m_IDTimer;
	MEDIA_FILE_INFORMATION m_mfiMediaNextFileInformation;
	BOOL m_EnableSetNextDvdInfo;
	BOOL m_EnableSetNextAudioInfo;
	UINT uiLastDvdsubnum;
	UINT uiLastDvdaudionum;

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
public:
	afx_msg void OnBnClickedButtonNextWinposSet();
public:
	afx_msg void OnBnClickedButtonNextSetSeek();
	afx_msg void OnCbnSelchangeEditSubpictureIndex();
	afx_msg void OnCbnSelchangeEditDvdAudioIndex();
};
